msgpack::object_equal_visitor Struct Reference

`#include <object.hpp>`

## Public Member Functions

| object_equal_visitor (msgpack::object const &obj, bool &result)
bool | visit_nil ()
bool | visit_boolean (bool v)
bool | visit_positive_integer (uint64_t v)
bool | visit_negative_integer (int64_t v)
bool | visit_float32 (float v)
bool | visit_float64 (double v)
bool | visit_str (const char *v, uint32_t size)
bool | visit_bin (const char *v, uint32_t size)
bool | visit_ext (const char *v, uint32_t size)
bool | start_array (uint32_t num_elements)
bool | start_array_item ()
bool | end_array_item ()
bool | end_array ()
bool | start_map (uint32_t num_kv_pairs)
bool | start_map_key ()
bool | end_map_key ()
bool | start_map_value ()
bool | end_map_value ()
bool | end_map ()

## Constructor & Destructor Documentation

## object_equal_visitor()

msgpack::object_equal_visitor::object_equal_visitor | ( | msgpack::object const & | obj,
|  | bool & | result
| ) |  |

inline

## Member Function Documentation

## end_array()

bool msgpack::object_equal_visitor::end_array | ( |  | ) |

inline

## end_array_item()

bool msgpack::object_equal_visitor::end_array_item | ( |  | ) |

inline

## end_map()

bool msgpack::object_equal_visitor::end_map | ( |  | ) |

inline

## end_map_key()

bool msgpack::object_equal_visitor::end_map_key | ( |  | ) |

inline

## end_map_value()

bool msgpack::object_equal_visitor::end_map_value | ( |  | ) |

inline

## start_array()

bool msgpack::object_equal_visitor::start_array | ( | uint32_t | num_elements | ) |

inline

References msgpack::type::ARRAY.

## start_array_item()

bool msgpack::object_equal_visitor::start_array_item | ( |  | ) |

inline

## start_map()

bool msgpack::object_equal_visitor::start_map | ( | uint32_t | num_kv_pairs | ) |

inline

References msgpack::type::MAP.

## start_map_key()

bool msgpack::object_equal_visitor::start_map_key | ( |  | ) |

inline

## start_map_value()

bool msgpack::object_equal_visitor::start_map_value | ( |  | ) |

inline

## visit_bin()

bool msgpack::object_equal_visitor::visit_bin | ( | const char * | v,
|  | uint32_t | size
| ) |  |

inline

References msgpack::type::BIN.

## visit_boolean()

bool msgpack::object_equal_visitor::visit_boolean | ( | bool | v | ) |

inline

References msgpack::type::BOOLEAN.

## visit_ext()

bool msgpack::object_equal_visitor::visit_ext | ( | const char * | v,
|  | uint32_t | size
| ) |  |

inline

References msgpack::type::EXT.

## visit_float32()

bool msgpack::object_equal_visitor::visit_float32 | ( | float | v | ) |

inline

References msgpack::type::FLOAT32.

## visit_float64()

bool msgpack::object_equal_visitor::visit_float64 | ( | double | v | ) |

inline

References msgpack::type::FLOAT64.

## visit_negative_integer()

bool msgpack::object_equal_visitor::visit_negative_integer | ( | int64_t | v | ) |

inline

References msgpack::type::NEGATIVE_INTEGER.

## visit_nil()

bool msgpack::object_equal_visitor::visit_nil | ( |  | ) |

inline

References msgpack::type::NIL.

## visit_positive_integer()

bool msgpack::object_equal_visitor::visit_positive_integer | ( | uint64_t | v | ) |

inline

References msgpack::type::POSITIVE_INTEGER.

## visit_str()

bool msgpack::object_equal_visitor::visit_str | ( | const char * | v,
|  | uint32_t | size
| ) |  |

inline

References msgpack::type::STR.

The documentation for this struct was generated from the following file:

- /build/msgpack-c-kSv3lu/msgpack-c-3.0.1/include/msgpack/v1/object.hpp